Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731172 - net-analyzer/labrea fails to link with LLD because of /usr/lib in the link command line
Summary: net-analyzer/labrea fails to link with LLD because of /usr/lib in the link co...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 06:22 UTC by Agostino Sarubbo
Modified: 2021-03-15 23:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.81 KB, text/plain)
2020-07-07 06:22 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,259 bytes, application/x-bzip-compressed-tar)
2020-07-07 06:22 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 06:22:42 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-analyzer/labrea fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 06:22:47 UTC
Created attachment 648110 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-07 06:22:50 UTC
Created attachment 648112 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2021-03-15 23:56:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=616d0d9979b37aef780314853279f7de5827cd81

commit 616d0d9979b37aef780314853279f7de5827cd81
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-15 23:52:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-15 23:52:40 +0000

    net-analyzer/labrea: fix libdir
    
    Closes: https://bugs.gentoo.org/731172
    Signed-off-by: Sam James <sam@gentoo.org>

 net-analyzer/labrea/files/labrea-2.5-libdir.patch | 26 +++++++++++++++++++++++
 net-analyzer/labrea/labrea-2.5_p1.ebuild          | 14 +++++++-----
 2 files changed, 35 insertions(+), 5 deletions(-)